Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233426 - Review Request: ruby-mecab - Ruby binding for MeCab
Summary: Review Request: ruby-mecab - Ruby binding for MeCab
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-22 13:04 UTC by Mamoru TASAKA
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-04 11:31:07 UTC
hdegoede: fedora-review+
jwboyer: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Hans de Goede 2007-03-30 19:09:16 UTC
Building this fails / bombs out on x86_64:
+ /usr/bin/make 'CXXFLAGS=-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic'
g++ -I. -I. -I/usr/lib64/ruby/1.8/x86_64-linux -I. -DHAVE_MECAB_H  -O2 -g -pipe
-Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -c MeCab_wrap.cpp
gcc -shared -rdynamic -Wl,-export-dynamic   -L"/usr/lib64" -o MeCab.so
MeCab_wrap.o  -lruby -lstdc++ -lmecab  -lpthread -ldl -lcrypt -lm   -lc
/usr/bin/ld: MeCab_wrap.o: relocation R_X86_64_32 against `a local symbol' can
not be used when making a shared object; recompile with -fPIC
MeCab_wrap.o: could not read symbols: Bad value
collect2: ld returned 1 exit status
make: *** [MeCab.so] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.14284 (%build)

Let me know if you need more info / help with this.


Comment 2 Mamoru TASAKA 2007-03-31 13:03:38 UTC
Updated.

http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/mecab-ruby-0.95-2.fc7.spec
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/mecab-ruby-0.95-2.fc7.src.rpm

------------------------------------------------
* Sat Mar 31 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.95-2
- Build with -fPIC for shared library (#233426)
- Rename to mecab-ruby, drop providing
------------------------------------------------

Comment 4 Hans de Goede 2007-04-01 07:58:22 UTC
MUST:
=====
* rpmlint output is: <empty>
* Package and spec file named appropriately
* Packaged according to packaging guidelines
0 License ok, but not included!
* spec file is legible and in Am. English.
* Source matches upstream
* Compiles and builds on devel x86_64
* BR: ok
* No locales
* No shared libraries
* Not relocatable
* Package owns / or requires all dirs
* No duplicate files & Permissions
* %clean & macro usage OK
* Contains code only
* %doc does not affect runtime, and isn't large enough to warrent a sub package
* no -devel package needed
* no .desktop file required

Should Fix
==========
* Remove the unused rubyver %define

Must FIX
========
* Wait for the license issue surrounding python-mecab to be solved, and solve it
  the same way for ruby-mecab


Comment 5 Mamoru TASAKA 2007-04-01 08:03:37 UTC
Thank you for reply.

In reply to comment #4)
> Should Fix
> ==========
> * Remove the unused rubyver %define
This is used in
----------------------------------------
Requires:	ruby(abi) = %{rubyver}
----------------------------------------

Comment 6 Hans de Goede 2007-04-01 08:05:46 UTC
(In reply to comment #5)
> Thank you for reply.
> 
> In reply to comment #4)
> > Should Fix
> > ==========
> > * Remove the unused rubyver %define
> This is used in
> ----------------------------------------
> Requires:	ruby(abi) = %{rubyver}
> ----------------------------------------

Oops, missed that, thats fine then.


Comment 7 Mamoru TASAKA 2007-05-04 08:09:05 UTC
Would you restart to review this package?

Comment 8 Hans de Goede 2007-05-04 08:38:28 UTC
Sure, My old review still is (mostly) valid:

MUST:
=====
* rpmlint output is: <empty>
* Package and spec file named appropriately
* Packaged according to packaging guidelines
0 License ok, but not included!
* spec file is legible and in Am. English.
* Source matches upstream
* Compiles and builds on devel x86_64
* BR: ok
* No locales
* No shared libraries
* Not relocatable
* Package owns / or requires all dirs
* No duplicate files & Permissions
* %clean & macro usage OK
* Contains code only
* %doc does not affect runtime, and isn't large enough to warrent a sub package
* no -devel package needed
* no .desktop file required


Should FIX
========
* Include the (japanese I know, better then nothing) mail with from upstream
  stating that an proper license text will be added to the next version.


No blockers -> approved!


Comment 9 Mamoru TASAKA 2007-05-04 09:08:47 UTC
Thank you!! Now I am re-rebuilding mecab related packages
to support ppc64...

(In reply to comment #8)
> Should FIX
> ========
> * Include the (japanese I know, better then nothing) mail with from upstream
>   stating that an proper license text will be added to the next version.

Will add on CVS.

Request for CVS admin:

New Package CVS Request
=======================
Package Name:           ruby-mecab
Short Description:      Ruby binding for MeCab
Owners:                 mtasaka@ioa.s.u-tokyo.ac.jp
Branches:               devel FC-6 FC-5
InitialCC:              (nobody)


Comment 10 Mamoru TASAKA 2007-05-04 11:31:07 UTC
Rebuilt on all branches, closing.
Thank you for the review!!


Note You need to log in before you can comment on or make changes to this bug.